Subject: Re: How to host a github?

From: Jakub Narebski <[email-masked]>
Date: Wed, 29 Jul 2009 02:31:07 -0700 (PDT)

jvsrvcs <[email-masked]> writes:

> I want to share code with a few co-workers and I want to use git.
> 
> I installed git (cygwin), created a /project/ and then $cd project
> and then $ git init
> 
> I have found so much documentation as to what to do next, that
> I'm confused.

Read "Git User's Manual" (should be distributed with Git), check out
"Git Community Book" (http://book.git-scm.com).

More links at:
  http://git.or.cz/gitwiki/GitDocumentation
  http://git-scm.com/documentation

Some links here might also help:
  http://git.or.cz/gitwiki/BlogPosts

> 
> Do I have to create an account on github in order to share code with
> a few local developers?

No, you don't have to do that.
 
> Could I run some sort of server on my laptop in order to share code?
> (we only need to share during office hours).  Basically I just
> want to share code but do not want to sign up for an account
> on github.
> 
> How do I work this?

References about hosting git repositories, etc.:
* http://www.kernel.org/pub/software/scm/git/docs/user-manual.html#sharing-development
  "Git User's Manual", Chapter 4. Sharing development with others
* http://book.git-scm.com/4_setting_up_a_public_repository.html
  http://book.git-scm.com/4_setting_up_a_private_repository.html
  "Git Community Book", Setting up Public/Private Repository
* My answers to similar questions at StackOverflow:
  http://stackoverflow.com/questions/978052/githow-can-i-make-my-local-repository-available-for-git-pull/978417#978417
  http://stackoverflow.com/questions/1173101/do-i-need-a-server-to-use-git/1173623#1173623

References about Git on Windows:
  http://www.lostechies.com/blogs/jason_meridth/archive/2009/06/01/git-for-windows-developers-git-series-part-1.aspx
  http://gitster.livejournal.com/24080.html (msysGit, not Cygwin)

-- 
Jakub Narebski
Poland
ShadeHawk on #git